'****************************************************************
'*  Name    : UNTITLED.BAS                                      *
'*  Author  : [select VIEW...EDITOR OPTIONS]                    *
'*  Notice  : Copyright (c) 2023 [select VIEW...EDITOR OPTIONS] *
'*          : All Rights Reserved                               *
'*  Date    : 17/11/2023                                        *
'*  Version : 1.0                                               *
'*  Notes   :                                                   *
'*          :                                                   *
'****************************************************************
    Device = 16F628A                      ' Specify What PIC your using
Declare Xtal = 4                     ' The Crystal/Osc Frequency
Declare RC5In_Pin 	= PORTA.0  

CMCON = 7 ' Disable Analog comparators

Dim SONYIN_WORD As Word
Dim SONY_COMMAND As SONYIN_WORD.LowByte     ' Alias the COMMAND byte to SONYIN_WORD low byte
Dim SONY_SYSTEM As SONYIN_WORD.HighByte     ' Alias the COMMAND byte to SONYIN_WORD high byte

'  Motor PINS, LED and IR pins

Symbol Motor1  = PORTB.0
Symbol Motor2  = PORTB.1
Symbol MAIN_LED = PORTB.5
Symbol Motor_LED = PORTB.7

' Init input selection (stored on reboot)  
High Motor_LED
High Motor1
Low Motor2
DelayMS 200
Low Motor1
High Motor2
DelayMS 200
Low Motor1
Low Motor2
Low Motor_LED
While 1 = 1                                ' Create an infinite loop

    High MAIN_LED
    Repeat
        SONYIN_WORD = RC5In                    ' Receive a signal from the infrared sensor
    Until SONY_SYSTEM <> 255                   ' Keep looking until a valid header found
    If SONY_SYSTEM = 7 Then

    Select SONY_COMMAND
    
        Case 32                            ' Volume Up 
            High Motor_LED
            Low MAIN_LED
            High Motor1
            Low Motor2               
            DelayMS 40			' Tweak these Delays for your own prefered response
            Low Motor1
            Low Motor2
            DelayMS 20            
            Low Motor_LED
        Case 33                            ' Volume Down                        
            High Motor_LED
            Low MAIN_LED
            Low Motor1
            High Motor2
            DelayMS 40
            Low Motor1
            Low Motor2
            DelayMS 20                        
            Low Motor_LED
        Case 13
            High Motor_LED
            Low MAIN_LED
            Low Motor1
            High Motor2
            DelayMS 1000
            Low Motor1
            Low Motor2
            DelayMS 20                        
            Low Motor_LED
    End Select
 
 Else
 
    'High Motor1
    'High Motor2
    Low Motor1
    Low Motor2
 
 EndIf
Wend
